<?php

function cxc_cli()
{
require('../cfg/res.php');

$xacceso=0;
$sql_acce='select * from usrdoc1 where (docu like "FC%" or docu like "IE%" or docu like "DC%") and cons="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)>=2){$xacceso=1;}
if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Cuentas X Cobrar ' );}	
	
mysql_query("SET NAMES 'utf8'");

$fini1= date('2000-01-01');
$sql_fini1='select * from empr0';
$res_fini1=mysql_query($sql_fini1,$link_vcrx);
$fini1=mysql_result($res_fini1,0,'empr_fcxco');

$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-1 month' , strtotime ( $fecha1 ) ) ;
$xfecha1 = date ( 'Y-m-j' , $nuevafecha );
$xfecha1= date('Y-m-'.'01');

$xfecha1=$fini1;	
$xfecha2= date('Y-m-d');

$xfposi='true';
$xfnega='true';
	
$xforde='N';	
$xfrepo='S';
	
	
// $sql_cxco='update caja1,caja2,vtas1 set caja1.zsub=vtas1.zsub ';
// $sql_cxco.=' where caja1.idnum1=caja2.idnum2';
// $sql_cxco.=' and caja2.docum=vtas1.docu';
// $sql_cxco.=' and caja2.ptoem=vtas1.ptoe';
// $sql_cxco.=' and caja2.numer=vtas1.numero';
// $sql_cxco.=' and caja2.enti=vtas1.enti';
// $res_cxco=mysql_query($sql_cxco,$link_vcrx);
	
// 	echo '***'.$res_cxco;
	
	
?>



<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>

	
function cxccli1d(entix,repox,obj)
{
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';

document.getElementById('cxccli2').innerHTML='Cargando datos...';
	
$.ajax({
  url:'../lib/vrcxccli1d.php',
  type:'POST',
  data:{enti:entix,frepo:repox,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
  success:function(dato){
  document.getElementById('cxccli2').innerHTML=dato;
  },
  error:function(objeto){console.log(objeto);}

});

}



function cxccli_id(entix,obj)
{
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';
	
document.getElementById('cxccli2').innerHTML='Cargando datos...';

$.ajax({
  url:'../lib/impr_cxccli1d.php',
  type:'POST',
  data:{enti:entix,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value},
  success:function(dato){
  document.getElementById('cxccli2').innerHTML=dato;
  },
  error:function(objeto){console.log(objeto);}

});

}

function redireccionar() 
{

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

var fposi=document.getElementById('fposi').checked;
var fcero=document.getElementById('fcero').checked;
var fnega=document.getElementById('fnega').checked;

var frepom=document.getElementById('frepom').checked;
var frepor=document.getElementById('frepor').checked;
var frepoa=document.getElementById('frepoa').checked;
	
var fordec=document.getElementById('fordec').checked;
var forden=document.getElementById('forden').checked;
var fordet=document.getElementById('fordet').checked;
var fordev=document.getElementById('fordev').checked;

var fenti=document.getElementById('fenti').value;
var fzsub=document.getElementById('fzsub').value;
var fcdad=document.getElementById('fcdad').value;
var frcdd=document.getElementById('frcdd').value;
var fvndd=document.getElementById('fvndd').value;
// var fctlg=document.getElementById('fctlg').value;

var forde='N';
if (fordec){forde='C';}
if (forden){forde='N';}
if (fordet){forde='T';}
if (fordev){forde='V';}

var frepo='S'
if (frepom){frepo='S';}
if (frepor){frepo='R';}
if (frepoa){frepo='A';}



document.getElementById('cxccli1').innerHTML='Cargando datos...';

	$.ajax({
		cache:false,
		url:'vrcxccli2.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{opt:"<?php echo $_GET['opt']?>",
		fecha_ini:fecha_ini,
		fecha_fin:fecha_fin,
		fposi:fposi,
		fcero:fcero,
		fnega:fnega,
		frepo:frepo,
		forde:forde,
		fcdad:fcdad,
		fenti:fenti,
		fzsub:fzsub,
		fvndd:fvndd,
		frcdd:frcdd},
    	beforeSend: function(jqXHR, textStatus)
		{
	                  
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			document.getElementById('cxccli1').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
				if (jqXHR.status === 0) {
	              console.log('Not connect: Verify Network.');
		           } else if (jqXHR.status == 404) {
	               console.log('Requested page not found [404]');
		           } else if (jqXHR.status == 500) {
	               console.log('Internal Server Error [500].');
		           } else if (exception === 'parsererror') {
	               console.log('Requested JSON parse failed.');
		           } else if (exception === 'timeout') {
	               alert('Servidor no Responde');
		           } else if (exception === 'abort') {
	               console.log('Ajax request aborted.');
		           } else {
	               console.log('Uncaught Error: ' + jqXHR.responseText);
           			}
			
			
		   

		}, 
		complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success')
	        {
				    				    	
			}
		},
		timeout:300000
	});


	
	
//location.href=pagina;
} 



function imprimirlista(xenti) 
{

var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

var fposi=document.getElementById('fposi').checked;
var fcero=document.getElementById('fcero').checked;
var fnega=document.getElementById('fnega').checked;

var frepom=document.getElementById('frepom').checked;
var frepor=document.getElementById('frepor').checked;
var frepoa=document.getElementById('frepoa').checked;
	

var fordec=document.getElementById('fordec').checked;
var forden=document.getElementById('forden').checked;
var fordet=document.getElementById('fordet').checked;
var fordev=document.getElementById('fordev').checked;

var fenti=document.getElementById('fenti').value;
var fzsub=document.getElementById('fzsub').value;
var fcdad=document.getElementById('fcdad').value;
var frcdd=document.getElementById('frcdd').value;
var fvndd=document.getElementById('fvndd').value;

// 	console.log(xenti);
// 	console.log()
	
if (xenti.length>0){fenti=xenti;}	
	

var forde='N';
if (fordec){forde='C';}
if (forden){forde='N';}
if (fordet){forde='T';}
if (fordev){forde='V';}

var frepo='S';
if (frepom){frepo='S';}
if (frepor){frepo='R';}
if (frepoa){frepo='A';}
	

pagina="../lib/impr_cxccli0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&fposi="+fposi
+"&fcero="+fcero
+"&fnega="+fnega
+"&frepo="+frepo
+"&forde="+forde
+"&fcdad="+fcdad 
+"&fenti="+fenti 
+"&fzsub="+fzsub 
+"&fvndd="+fvndd
+"&frcdd="+frcdd

window.open(pagina);
} 


</script>


<div style=" max-height:100px; overflow-y:scroll; margin-top:5px;">




<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<table><caption>FECHAS</caption>	
	<tr>
		<?php $pcaption='inicial';  $pidtxt='fecha_ini'; $pdefa=$xfecha1; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	<tr>
		<?php $pcaption='final';  $pidtxt='fecha_fin'; $pdefa=$xfecha2; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	</table>
<?php

?>


	</th>
<th style ="border-left:solid 1px;">
<div align="center">
<span>SALDOS</span>
</div>
<div>
<input type="checkbox" id="fposi" name="fposi" <?php if($xfposi=='true'){echo 'checked';}?>/><span>Positivos</span> <br/>
<input type="checkbox" id="fcero" name="fcero" <?php if($xfcero=='true'){echo 'checked';}?>/><span>Cancelados</span> <br/>
<input type="checkbox" id="fnega" name="fnega" <?php if($xfnega=='true'){echo 'checked';}?>/><span>Negativos</span> <br/>
<input type="checkbox" id="fpost" name="fpost" <?php if($xfpost=='true'){echo 'checked';}?>/><span>Post-Fechados</span> <br/>
</div>
</th>

<th>
<th style ="border-left:solid 1px;">
<div align="center">
<span>REPORTE</span>
</div>
<div>
<input type="radio" id="frepom" name="frepor" <?php if($xfrepo=='S'){echo 'checked';}?>/><span>Saldos</span> <br/>
<input type="radio" id="frepor" name="frepor" <?php if($xfrepo=='R'){echo 'checked';}?>/><span>Resumen</span> <br/>
<input type="radio" id="frepoa" name="frepor" <?php if($xfrepo=='A'){echo 'checked';}?>/><span>Antiguedad</span> <br/>
</div>
</th>

	
	
<th>
<th style ="border-left:solid 1px;">
<div align="center">
<span>ORDENADO X</span>
</div>
<div>
<input type="radio" id="forden" name="forder" <?php if($xforde=='N'){echo 'checked';}?>/><span>Nombre</span> <br/>
<input type="radio" id="fordec" name="forder" <?php if($xforde=='C'){echo 'checked';}?>/><span>Codigo</span> <br/>
<input type="radio" id="fordet" name="forder" <?php if($xforde=='T'){echo 'checked';}?>/><span>Totales</span> <br/>
<input type="radio" id="fordev" name="forder" <?php if($xforde=='V'){echo 'checked';}?>/><span>Vendedor</span> <br/>
</div>
</th>


<!-- <th> -->
<th style ="border-left:solid 1px;">
<!-- <div align="center">
<button>FILTROS</button>
</div> -->
	
<table><caption>FILTROS</caption>	
<tr>
	<?php $pcaption='CLIENTE'; $ptabla='enti'; $pidtxt='fenti'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr>
	<?php $pcaption='ZONA'; $ptabla='zsub'; $pidtxt='fzsub'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr>
	<?php $pcaption='CIUDAD'; $ptabla='cdad'; $pidtxt='fcdad'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
	</table>	
	</th>
	<th>
<table>
<!-- <tr><br></tr>	 -->
<tr>
	<?php $pcaption='VENDEDOR'; $ptabla='vndd'; $pidtxt='fvndd'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
<tr>
	<?php $pcaption='RECAUDADOR'; $ptabla='rcdd'; $pidtxt='frcdd'; $pnotob=1; include('vrgetcod.php'); ?>
</tr>
</table>	
<div align="center">
<!-- <span>FILTROS</span> -->
</div>

</th>

<th align="center" style ="border-left:solid 1px;">
<?php $pcaption='Consultar';  $ponclick="redireccionar();"; include('vrbutton.php'); ?>
<?php $pcaption='Imprimir';  $ponclick="imprimirlista('');"; include('vrbutton.php'); ?>
<!-- <div>
<input type="button" value="Consultar" onclick="redireccionar();"  />
</div>
<br>
<div>
<input type="button" value="Imprimir" onclick="imprimirlista('');"  />
</div> -->
</th>

</tr>
</table>
</div>

<hr/>



<div id="cxccli1" style="overflow-y:scroll; height:300px;"></div>

<br>
<div id="cxccli2"></div>

<div id="lista_temporal_contenedor" style=" display:none; padding:0px; margin:0px; background: #666; opacity:0.5; width:100%; min-height: 100%; height:auto !important;position: fixed;top:0;left:0; z-index:1;" ></div>
<div id="lista_cargador" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10;" ><img src="../img/ajax-loader.gif" /></div>    
<div id="lista_temporal" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10; overflow-y:scroll; min-height:50px; max-height:400px; width:100%;" ><img src="../img/ajax-loader.gif" /></div>    





<?php }?>